Entrar

Tree (cadeia de cargos da área)

GET https://{organization}.myguper.com/api/register/team/area/{areaId}/position/tree

Devuelve el árbol de posiciones dentro de un área — útil para renderizar el organigrama del área.

Try-it values populated from environment ACME (Demo)


Autenticación

Token

Send your user token in the x-guper-authorization header.

Encabezados

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Parámetros de ruta

Name Type Description
areaId * string

Respuestas

[
    {
        "id": 10, "areaId": 2, "parentId": null, "name": "Diretor de Marketing", "depth": 0,
        "children": [
            { "id": 11, "areaId": 2, "parentId": 10, "name": "Gerente de Performance", "depth": 1, "children": [
                { "id": 12, "areaId": 2, "parentId": 11, "name": "Analista de SEO", "depth": 2, "children": [] }
            ] }
        ]
    }
]
Copied to clipboard